package samples.bl;

import com.fiverworks.xone.model.*;
import com.fiverworks.xone.mw.*;
import com.fiverworks.xone.*;

public class CommandTest {
	private MwMain main;
	
	private void login() {
		main = new MwMain();
		try {
			main.login("name", "password".toCharArray());
		} catch (XoneException ex) {
			ex.printStackTrace();
		}
	}
	private void test() {
		login();
		XoneObject cmd = Commands.getBasicCommand();
		cmd.addElement("command", XoneModel.STRING, "abc");
		cmd.addElement("arg1", XoneModel.STRING, "xxx");
		cmd.addElement("arg2", XoneModel.STRING, "yyy");
		try {
			main.execute(cmd);
		} catch (XoneRuntimeException ex) {
			ex.printStackTrace();
		} finally {
			if (main.isLogin()) main.logout();
		}
	}
	
	public static void main(String[] args) {
		new CommandTest().test();
	}
}
