package samples.model;

import com.fiverworks.xone.model.*;
import com.fiverworks.xone.mw.*;
import com.fiverworks.xone.*;

public class Sample12 {
	private MwMain main;
	
	private void login() {
		main = new MwMain();
		try {
			main.login("name", "password".toCharArray());
		} catch (XoneException ex) {
			ex.printStackTrace();
		}
	}
	private void test() {
		login();
		try {
			String cname = XoneFolder.ROOT_FOLDER + XoneNode.SEPARATOR + "test" + XoneNode.SEPARATOR + "";
			XoneObject[] xos = main.load(new String[]{cname});
			XoneClass xc = (XoneClass)xos[0];
			//XoneClass xc = XoneModel.getXoneClass(cname);
			XoneInstance xi = XoneModel.newXoneInstance(xc, "A");
			System.out.println(xi);
		} catch (XoneRuntimeException ex) {
			ex.printStackTrace();
		} finally {
			if (main.isLogin()) main.logout();
		}
	}
	
	public static void main(String[] args) {
		new Sample12().test();
	}
}
