package samples.model;

import com.fiverworks.xone.model.*;
import com.fiverworks.xone.mw.*;
import com.fiverworks.xone.*;

public class Sample7 {
	
	private void test() {
		MwMain main = new MwMain();
		try {
			main.login("name", "password".toCharArray());
			String fname = "test";
			main.newFolder(XoneFolder.ROOT_FOLDER, "test");
			String parent = XoneFolder.ROOT_FOLDER + XoneNode.SEPARATOR + fname;
			XoneObject xo = makeObj();
			main.save(parent, new XoneObject[]{xo});
		} catch (XoneException ex) {
			ex.printStackTrace();
		} catch (XoneRuntimeException ex) {
			ex.printStackTrace();
		} finally {
			if (main.isLogin()) main.logout();
		}
	}
	
	private XoneObject makeObj() {
		XoneAnyInstance xai = XoneModel.newXoneAnyInstance("i", "iA");
		xai.addElement("^", XoneModel.STRING, "xxxxx");
		xai.addElement("i", XoneModel.INT, "10000");
		return xai;
	}
	
	public static void main(String[] args) {
		new Sample7().test();
	}
}
