package samples.model;

import com.fiverworks.xone.model.*;
import com.fiverworks.xone.mw.*;
import com.fiverworks.xone.*;

public class Sample8 {
	private MwMain main;
	
	private void login() {
		main = new MwMain();
		try {
			main.login("name", "password".toCharArray());
		} catch (XoneException ex) {
			ex.printStackTrace();
		}
	}
	private void test() {
		login();
		try {
			String parent = XoneFolder.ROOT_FOLDER + XoneNode.SEPARATOR + "test";
			XoneNode[] nodes = main.list(parent);
			for (int i = 0; i < nodes.length; i++) {
				XoneNode node = nodes[i];
				System.out.println(i + ":"+ node.getName());
				System.out.println("  path:"+ node.getPath());
				System.out.println("  type:" + node.getType());
				System.out.println("  status:" + node.getStatusString());
				System.out.println("  timestamp:" + node.getTimestamp());
			}
		} catch (XoneRuntimeException ex) {
			ex.printStackTrace();
		} finally {
			if (main.isLogin()) main.logout();
		}
	}
	
	public static void main(String[] args) {
		new Sample8().test();
	}
}
