package samples.model;

import com.fiverworks.xone.model.*;
import com.fiverworks.xone.mw.*;
import com.fiverworks.xone.*;

public class Sample13 {
	private MwMain main;
	
	private void login() {
		main = new MwMain();
		try {
			main.login("name", "password".toCharArray());
		} catch (XoneException ex) {
			ex.printStackTrace();
		}
	}
	private void test() {
		login();
		try {
			String cname = "root/test/";
			String cname1 = "root/test/A";
			
			XoneObject[] xos = main.load(new String[]{cname, cname1});
			XoneClass xc = XoneModel.getXoneClass(cname);
			XoneInstance xi = XoneModel.newXoneInstance(xc, "1");
			xi.setElementValue("P", "10.5");
			xi.setElementValue("vi", "10000");
			System.out.println(xi);
			
			XoneClass xc1 = XoneModel.getXoneClass(cname1);
			xi.adaptClass(xc1);
			System.out.println(xi);
		} catch (XoneRuntimeException ex) {
			ex.printStackTrace();
		} finally {
			if (main.isLogin()) main.logout();
		}
	}
	
	public static void main(String[] args) {
		new Sample13().test();
	}
}