package samples.model;

import com.fiverworks.xone.model.*;
import com.fiverworks.xone.mw.*;
import com.fiverworks.xone.*;

public class Sample14 implements Transformable {
	
	private String modelId;
	private int price;
	
	private String objName;
	
	public Sample14(String objName) {
		this.objName = objName;
	}

	public java.lang.String getModelId() {return modelId;}	
	public void setModelId(java.lang.String modelId) {this.modelId = modelId;}
	public int getPrice() {return price;}
	public void setPrice(int price) {this.price = price;}
	
	//Transformable
	public void set(XoneObject xo) {
		this.objName = xo.getName();
		this.modelId = xo.getElementValue("^");
		this.price = xo.getElement("^").getValueAsInt();
	}
	public XoneObject toXoneObject() {
		XoneAnyInstance xai = XoneModel.newXoneAnyInstance("Sample", objName);
		xai.addElement("^", XoneModel.STRING, modelId);
		xai.addElement("i", XoneModel.INT, Integer.toString(price));
		return xai;
	}
	
}