package samples.model;

import com.fiverworks.xone.model.*;
import com.fiverworks.xone.mw.*;
import com.fiverworks.xone.*;

public class Sample15 {
	private MwMain main;
	
	private void login() {
		main = new MwMain();
		try {
			main.login("name", "password".toCharArray());
		} catch (XoneException ex) {
			ex.printStackTrace();
		}
	}
	private void test() {
		login();
		try {
			String parent = "root/test";
			BatchCommand bc = new BatchCommand();
			XoneObject command = Commands.getDeleteFolderCommand(parent + "/xonetest2");
			bc.add(command);
			command = Commands.getDeleteCommand(parent, new String[]{"iA"});
			bc.add(command);
			main.executeBatch(bc);
		} catch (XoneRuntimeException ex) {
			ex.printStackTrace();
		} finally {
			if (main.isLogin()) main.logout();
		}
	}
	
	public static void main(String[] args) {
		new Sample15().test();
	}
}