package samples.tools;

import com.fiverworks.xone.mw.*;
import com.fiverworks.xone.model.*;
import com.fiverworks.xone.*;
import com.fiverworks.xone.tools.man.*;
import com.fiverworks.xone.ut.*;

public class Sample1 {
	private MwMain main;
	
	private void login() {
		main = new MwMain();
		try {
			main.login("sys", "Hit".toCharArray());
		} catch (XoneException ex) {
			ex.printStackTrace();
		}
	}
	private void test() {
		login();
		try {
			java.awt.Frame parent = null;
			ObjectChooser oc = new ObjectChooser(parent, main);
			GuiUt.setCenterOfParent(oc, parent);
			int result = oc.showOpenDialog();
			if (result == ObjectChooser.APPROVE) {
				String objPath = oc.getSelectedObject();
				XoneObject[] xos = main.load(new String[]{objPath});
				System.out.println(xos[0]);
			}
		} catch (XoneRuntimeException ex) {
			ex.printStackTrace();
		} finally {
			if (main.isLogin()) main.logout();
		}
	}
	
	public static void main(String[] args) {
		new Sample1().test();
	}
}
