package samples.ut;

import com.fiverworks.xone.ut.ValueUt;
import com.fiverworks.xone.model.XoneModel;

public class Sample2 {
	
	public static void main(String[] args) {
		// convert\bh
		Float f1 = (Float)ValueUt.convert("2.0", XoneModel.FLOAT);
		Float f2 = (Float)ValueUt.convert("3.2f", Float.class);
		System.out.println(f1);
		System.out.println(f2);
		
		// convert\bh
		String[] iarr = new String[]{"2","3","4"};
		Integer[] ia1 = (Integer[])ValueUt.convert(iarr, XoneModel.INT_ARRAY);
		Integer[] ia2 = (Integer[])ValueUt.convert(iarr, Integer[].class);
		System.out.println(ia1);
		System.out.println(ia2);
		
		// toStringArray\bh
		String[] sarr = ValueUt.toStringArray(new int[]{2,3,4});
		for (int i = 0; i < sarr.length; i++) {
			System.out.println(sarr[i]);
		}

		// toXxxArray\bh
		String[] sfarr = new String[]{"2.0","3.2f","4.5"};
		float[] farr = ValueUt.toFloatArray(sfarr);
		for (int i = 0; i < farr.length; i++) {
			System.out.println(farr[i]);
		}
		
		// isLegalXxxFormat\bh
		System.out.println(ValueUt.isLegalDateFormat("2004-12-26"));
		System.out.println(ValueUt.isLegalDateFormat("2004-15-1"));
		System.out.println(ValueUt.isLegalTimeFormat("12:31:01"));
		System.out.println(ValueUt.isLegalTimeFormat("12:71:01"));
		System.out.println(ValueUt.isLegalTimestampFormat("2004-12-26 12:31:01"));
	}
}
